! Generate the start vector matrix W0:
subroutine W0gen(Wgen)
use work

complex(8) Wgen(n,ne)
logical IsSimetric

! Generate W as first "ne" columns of I
Wgen =(0.D0,0.D0)

do i=1,ne

Wgen(i,i) =(1.D0,0.D0)
enddo

end subroutine W0gen
